# lintilla

---

> Short blurb about what your product does.

[![PyPI][pypi-image]][pypi-url]
[![Downloads][downloads-image]][downloads-url]
[![Status][status-image]][pypi-url]
[![Python Version][python-version-image]][pypi-url]
[![Format][format-image]][pypi-url]
[![tests][tests-image]][tests-url]
[![Codecov][codecov-image]][codecov-url]
[![pre-commit][pre-commit-image]][pre-commit-url]
[![pre-commit.ci status][pre-commit.ci-image]][pre-commit.ci-url]
[![CodeFactor][codefactor-image]][codefactor-url]
[![Codeclimate][codeclimate-image]][codeclimate-url]
[![CodeQl][codeql-image]][codeql-url]
[![readthedocs][readthedocs-image]][readthedocs-url]
[![Imports: isort][isort-image]][isort-url]
[![Code style: black][black-image]][black-url]
[![Checked with mypy][mypy-image]][mypy-url]
[![security: bandit][bandit-image]][bandit-url]
[![Commitizen friendly][commitizen-image]][commitizen-url]
[![Conventional Commits][conventional-commits-image]][conventional-commits-url]
[![DeepSource][deepsource-image]][deepsource-url]
[![license][license-image]][license-url]

One to two paragraph statement about your product and what it does.

![](assets/header.png)

## Installation

---

OS X & Linux:

```sh
pip3 install lintilla
```

Windows:

```sh
pip install lintilla
```

## Usage example

---

A few motivating and useful examples of how your product can be used. Spice this up with code blocks and potentially more screenshots.

_For more examples and usage, please refer to the [Wiki][wiki]._

## Development setup

---

Describe how to install all development dependencies and how to run an automated test-suite of some kind. Potentially do this for multiple platforms.

```sh
pip install --editable lintilla
```

## Documentation

---

[**Read the Docs**](https://lintilla.readthedocs.io/en/latest/?)

-   [**Example Usage**](https://pynball.readthedocs.io/en/latest/example.html)
-   [**Credits**](https://lintilla.readthedocs.io/en/latest/example.html)
-   [**Changelog**](https://lintilla.readthedocs.io/en/latest/changelog.html)
-   [**API Reference**](https://lintilla.readthedocs.io/en/latest/autoapi/index.html)

-   [**Wiki**][wiki]

## Meta

---

[![](assets/linkedin.png)](https://www.linkedin.com/in/sr-king)
[![](assets/github.png)](https://github.com/Stephen-RA-King)
[![](assets/pypi.png)](https://pypi.org/project/lintilla)
[![](assets/www.png)](https://www.justpython.tech)
[![](assets/email.png)](mailto:stephen.ra.king@gmail.com)

Stephen R A King : sking.github@gmail.com

Distributed under the MIT license. See [![][license-image]][license-url] for more information.

Created with Cookiecutter template: [**cc_template**][cc_template-url] version 1.2.1

<!-- Markdown link & img dfn's -->

[bandit-image]: https://img.shields.io/badge/security-bandit-yellow.svg
[bandit-url]: https://github.com/PyCQA/bandit
[black-image]: https://img.shields.io/badge/code%20style-black-000000.svg
[black-url]: https://github.com/psf/black
[cc_template-url]: https://github.com/Stephen-RA-King/cc_template
[codeclimate-image]: https://api.codeclimate.com/v1/badges/7fc352185512a1dab75d/maintainability
[codeclimate-url]: https://codeclimate.com/github/Stephen-RA-King/lintilla/maintainability
[codecov-image]: https://codecov.io/gh/Stephen-RA-King/lintilla/branch/main/graph/badge.svg
[codecov-url]: https://app.codecov.io/gh/Stephen-RA-King/lintilla
[codefactor-image]: https://www.codefactor.io/repository/github/Stephen-RA-King/lintilla/badge
[codefactor-url]: https://www.codefactor.io/repository/github/Stephen-RA-King/lintilla
[codeql-image]: https://github.com/Stephen-RA-King/lintilla/actions/workflows/codeql-analysis.yml/badge.svg
[codeql-url]: https://github.com/Stephen-RA-King/lintilla/actions/workflows/codeql-analysis.yml
[commitizen-image]: https://img.shields.io/badge/commitizen-friendly-brightgreen.svg
[commitizen-url]: http://commitizen.github.io/cz-cli/
[conventional-commits-image]: https://img.shields.io/badge/Conventional%20Commits-1.0.0-yellow.svg?style=flat-square
[conventional-commits-url]: https://conventionalcommits.org
[deepsource-image]: https://static.deepsource.io/deepsource-badge-light-mini.svg
[deepsource-url]: https://deepsource.io/gh/Stephen-RA-King/lintilla/?ref=repository-badge
[downloads-image]: https://static.pepy.tech/personalized-badge/lintilla?period=total&units=international_system&left_color=black&right_color=orange&left_text=Downloads
[downloads-url]: https://pepy.tech/project/lintilla
[format-image]: https://img.shields.io/pypi/format/lintilla
[isort-image]: https://img.shields.io/badge/%20imports-isort-%231674b1?style=flat&labelColor=ef8336
[isort-url]: https://github.com/pycqa/isort/
[lgtm-alerts-image]: https://img.shields.io/lgtm/alerts/g/Stephen-RA-King/lintilla.svg?logo=lgtm&logoWidth=18
[lgtm-alerts-url]: https://lgtm.com/projects/g/Stephen-RA-King/lintilla/alerts/
[lgtm-quality-image]: https://img.shields.io/lgtm/grade/python/g/Stephen-RA-King/lintilla.svg?logo=lgtm&logoWidth=18
[lgtm-quality-url]: https://lgtm.com/projects/g/Stephen-RA-King/lintilla/context:python
[license-image]: https://img.shields.io/pypi/l/lintilla
[license-url]: https://github.com/Stephen-RA-King/lintilla/blob/main/LICENSE
[mypy-image]: http://www.mypy-lang.org/static/mypy_badge.svg
[mypy-url]: http://mypy-lang.org/
[pre-commit-image]: https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white
[pre-commit-url]: https://github.com/pre-commit/pre-commit
[pre-commit.ci-image]: https://results.pre-commit.ci/badge/github/Stephen-RA-King/lintilla/main.svg
[pre-commit.ci-url]: https://results.pre-commit.ci/latest/github/Stephen-RA-King/lintilla/main
[pypi-url]: https://pypi.org/project/lintilla/
[pypi-image]: https://img.shields.io/pypi/v/lintilla.svg
[python-version-image]: https://img.shields.io/pypi/pyversions/lintilla
[readthedocs-image]: https://readthedocs.org/projects/lintilla/badge/?version=latest
[readthedocs-url]: https://lintilla.readthedocs.io/en/latest/?badge=latest
[status-image]: https://img.shields.io/pypi/status/lintilla.svg
[tests-image]: https://github.com/Stephen-RA-King/lintilla/actions/workflows/tests.yml/badge.svg
[tests-url]: https://github.com/Stephen-RA-King/lintilla/actions/workflows/tests.yml
[wiki]: https://github.com/Stephen-RA-King/lintilla/wiki
